commit:     ec743ec9bd3fb29375403ba2392516e33d0842cf
Author:     Viorel Munteanu <ceamac.paragon <AT> gmail <DOT> com>
AuthorDate: Tue Apr 13 08:46:44 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 13 15:58:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec743ec9

dev-libs/libthreadar: bump to version 1.3.2

Minor release, bugfixes

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Viorel Munteanu <ceamac.paragon <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libthreadar/Manifest                 |  1 +
 dev-libs/libthreadar/libthreadar-1.3.2.ebuild | 35 +++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-libs/libthreadar/Manifest b/dev-libs/libthreadar/Manifest
index d1653e20142..31be7e76347 100644
--- a/dev-libs/libthreadar/Manifest
+++ b/dev-libs/libthreadar/Manifest
@@ -1 +1,2 @@
 DIST libthreadar-1.3.1.tar.gz 441062 BLAKE2B 
48ab120290f93c5585c1d1d9992f80836a27bf88bf250c74bff12cad7f87dd192a706ef75fe5b8815ceb2108c20d71dd932432bf37bf6ee3f01af4c3bf935647
 SHA512 
6eefe4d2262a170ed04e6e9e7efaae2945b68012cfed2e4606f0d6089050f3e4059d4dca2141ae862c158f5161c5ebaaa35c3eeb431fab10263787e5b74deddf
+DIST libthreadar-1.3.2.tar.gz 442260 BLAKE2B 
2a743fbcd8ae0b462910b7ccde34a3fcb90239df9bf608c9d249dd9bf100315ade3b2151339ae55b1121709446c23044c3fd7bb420efb009ae8d5fe0a21a496a
 SHA512 
6edc3a1a6eb41a3b9ada35327d712fcf3562875dbddd0bd2f3f016492cb0f10fe669ed1ac3a65573d88261b4de50201b2abe8dcbffa0abc5cc257d7a8c3c4df2

diff --git a/dev-libs/libthreadar/libthreadar-1.3.2.ebuild 
b/dev-libs/libthreadar/libthreadar-1.3.2.ebuild
new file mode 100644
index 00000000000..7ba08a0fde3
--- /dev/null
+++ b/dev-libs/libthreadar/libthreadar-1.3.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Threading library used by dar archiver"
+HOMEPAGE="https://sourceforge.net/projects/libthreadar/";
+SRC_URI="mirror://sourceforge/libthreadar/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS )
+
+src_configure() {
+       # Copy this comment from app-backup/dar as it applies here too
+       #
+       # configure.ac is totally funked up regarding the AC_ARG_ENABLE
+       # logic.
+       # For example "--enable-dar-static" causes configure to DISABLE
+       # static builds of dar.
+       # Do _not_ use $(use_enable) until you have verified that the
+       # logic has been fixed by upstream.
+
+       econf --disable-static
+}
+
+src_install() {
+       emake DESTDIR="${D}" pkgdatadir="${EPREFIX}"/usr/share/doc/${PF}/html 
install
+
+       einstalldocs
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to